Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# IdeVertexBuffer Class Reference

`#include <deDriver.hpp>`

Inheritance diagram for IdeVertexBuffer:

[legend]
Collaboration diagram for IdeVertexBuffer:

[legend]
List of all members.

## Public Types
enum | BufferType { BUFFER_POSITION = 0, BUFFER_NORMAL, BUFFER_DIFFUSE, BUFFER_SPECULAR, BUFFER_TEXTURECOORDS0, BUFFER_TEXTURECOORDS1, BUFFER_TEXTURECOORDS2, BUFFER_TEXTURECOORDS3, BUFFER_TEXTURECOORDS4, BUFFER_TEXTURECOORDS5, BUFFER_TEXTURECOORDS6, BUFFER_TEXTURECOORDS7, BUFFER_INDICES16, BUFFER_INDICES32, BUFFER_COUNT, BUFFER_FORCE_32BIT = 0x7FFFFFFF }
| internal buffer types possible to create and use More...
enum | RenderType { RENDER_POINTLIST = 0, RENDER_LINELIST, RENDER_LINESTRIP, RENDER_TRIANGLELIST, RENDER_TRIANGLESTRIP, RENDER_TRIANGLEFAN, RENDER_COUNT, RENDER_FORCE_32BIT = 0x7FFFFFFF }
| type of rendering for the buffer More...
enum | BufferDataType { BUFFER_DATALONG = 0, BUFFER_DATAFLOAT, BUFFER_DATAFLOAT2, BUFFER_DATAFLOAT3, BUFFER_DATASHORT, BUFFER_DATACOUNT, BUFFER_DATAFORCE_32BIT = 0x7FFFFFFF }
| data types that the different buffers are (with different byte-sizes) More...
enum | VBufferType { BUFFERTYPE_REAL = 0, BUFFERTYPE_SUB, BUFFERTYPE_COUNT, BUFFERTYPE_FORCE_32BIT = 0x7FFFFFFF }
| types of vbuffer that this could be More...
## Public Member Functions
virtual const IdeVertexBuffer & | operator= (const IdeVertexBuffer &S)=0
virtual void * | GetBuffer (BufferType Type) const=0
virtual long | GetVertexCount () const=0
virtual long | GetVertexStart () const=0
virtual long | GetIndexCount () const=0
virtual long | GetIndexStart () const=0
virtual long | GetTriCount () const=0
virtual deBoolean | CalcTriCount ()=0
virtual deBoolean | GetDynamicStatusVertex () const=0
virtual deBoolean | GetDynamicStatusIndex () const=0
virtual void | SetDynamicStatus (deBoolean Vertex, deBoolean Index)=0
virtual RenderType | GetRenderType () const=0
virtual deBoolean | SetRenderType (RenderType Type)=0
virtual deBoolean | SetBufferSize (long EntryCount, deBoolean IndicesNotVertices=(DE_FALSE))=0
virtual deBoolean | CreateBuffer (BufferType Type, deBoolean Clear)=0
virtual deBoolean | DestroyBuffer (BufferType Type)=0
virtual deBoolean | FillBuffer (BufferType Type, const void *Buffer, long StartEntry, long EntryCount)=0
virtual void | DirtyBuffer (BufferType Type)=0
virtual deBoolean | BufferExists (BufferType Type) const=0
virtual deBoolean | BindDataBuffer (IdeVertexBuffer *DataBuffer)=0
virtual IdeVertexBuffer * | GetBoundDataBuffer () const=0
virtual BufferDataType | GetBufferDataType (BufferType Type, long *Size) const=0
virtual deBoolean | Lock ()=0
virtual deBoolean | Unlock ()=0
virtual deBoolean | SetDriverBuffer (long ID, void *Buffer, IdeDriver *Driver)=0
virtual void * | GetDriverBuffer (long ID, long *BufferUpdateList) const=0
virtual VBufferType | GetVBufferType () const=0
virtual IdeVertexBuffer * | GetParentBuffer () const=0
## Protected Member Functions
virtual | ~IdeVertexBuffer ()

## Detailed Description

used to store vertex information in order to render triangulated meshes. Related functions: IdeVertexBuffer_CreateVBuffer, IdeVertexBuffer_CreateSubVBuffer

## Member Enumeration Documentation

enum IdeVertexBuffer::BufferDataType

  | data types that the different buffers are (with different byte-sizes) Enumeration values:
  BUFFER_DATALONG |
  BUFFER_DATAFLOAT |
  BUFFER_DATAFLOAT2 |
  BUFFER_DATAFLOAT3 |
  BUFFER_DATASHORT |
  BUFFER_DATACOUNT |
  BUFFER_DATAFORCE_32BIT |

enum IdeVertexBuffer::BufferType

  | internal buffer types possible to create and use Enumeration values:
  BUFFER_POSITION |
  BUFFER_NORMAL |
  BUFFER_DIFFUSE |
  BUFFER_SPECULAR |
  BUFFER_TEXTURECOORDS0 |
  BUFFER_TEXTURECOORDS1 |
  BUFFER_TEXTURECOORDS2 |
  BUFFER_TEXTURECOORDS3 |
  BUFFER_TEXTURECOORDS4 |
  BUFFER_TEXTURECOORDS5 |
  BUFFER_TEXTURECOORDS6 |
  BUFFER_TEXTURECOORDS7 |
  BUFFER_INDICES16 |
  BUFFER_INDICES32 |
  BUFFER_COUNT |
  BUFFER_FORCE_32BIT |

enum IdeVertexBuffer::RenderType

  | type of rendering for the buffer Enumeration values:
  RENDER_POINTLIST |
  RENDER_LINELIST |
  RENDER_LINESTRIP |
  RENDER_TRIANGLELIST |
  RENDER_TRIANGLESTRIP |
  RENDER_TRIANGLEFAN |
  RENDER_COUNT |
  RENDER_FORCE_32BIT |

enum IdeVertexBuffer::VBufferType

  | types of vbuffer that this could be Enumeration values:
  BUFFERTYPE_REAL |
  BUFFERTYPE_SUB |
  BUFFERTYPE_COUNT |
  BUFFERTYPE_FORCE_32BIT |

## Constructor & Destructor Documentation

virtual IdeVertexBuffer::~IdeVertexBuffer | ( |  | ) | `[inline, protected, virtual]`

## Member Function Documentation

virtual deBoolean IdeVertexBuffer::BindDataBuffer | ( | IdeVertexBuffer * | DataBuffer | ) | `[pure virtual]`

| Implemented in deVertexBuffer, and deSubVertexBuffer.

virtual deBoolean IdeVertexBuffer::BufferExists | ( | BufferType | Type | ) | const`[pure virtual]`

| Implemented in deVertexBuffer, and deSubVertexBuffer.

virtual deBoolean IdeVertexBuffer::CalcTriCount | ( |  | ) | `[pure virtual]`

| Implemented in deVertexBuffer, and deSubVertexBuffer.

virtual deBoolean IdeVertexBuffer::CreateBuffer | ( | BufferType | Type,
|  | deBoolean | Clear
| ) | `[pure virtual]`

| Implemented in deVertexBuffer, and deSubVertexBuffer.

virtual deBoolean IdeVertexBuffer::DestroyBuffer | ( | BufferType | Type | ) | `[pure virtual]`

| Implemented in deVertexBuffer, and deSubVertexBuffer.

virtual void IdeVertexBuffer::DirtyBuffer | ( | BufferType | Type | ) | `[pure virtual]`

| Implemented in deVertexBuffer, and deSubVertexBuffer.

virtual deBoolean IdeVertexBuffer::FillBuffer | ( | BufferType | Type,
|  | const void * | Buffer,
|  | long | StartEntry,
|  | long | EntryCount
| ) | `[pure virtual]`

| Implemented in deVertexBuffer, and deSubVertexBuffer.

virtual IdeVertexBuffer* IdeVertexBuffer::GetBoundDataBuffer | ( |  | ) | const`[pure virtual]`

| Implemented in deVertexBuffer, and deSubVertexBuffer.

virtual void* IdeVertexBuffer::GetBuffer | ( | BufferType | Type | ) | const`[pure virtual]`

| Implemented in deVertexBuffer, and deSubVertexBuffer.

virtual BufferDataType IdeVertexBuffer::GetBufferDataType | ( | BufferType | Type,
|  | long * | Size
| ) | const`[pure virtual]`

| Implemented in deVertexBuffer, and deSubVertexBuffer.

virtual void* IdeVertexBuffer::GetDriverBuffer | ( | long | ID,
|  | long * | BufferUpdateList
| ) | const`[pure virtual]`

| Implemented in deVertexBuffer, and deSubVertexBuffer.

virtual deBoolean IdeVertexBuffer::GetDynamicStatusIndex | ( |  | ) | const`[pure virtual]`

| Implemented in deVertexBuffer, and deSubVertexBuffer.

virtual deBoolean IdeVertexBuffer::GetDynamicStatusVertex | ( |  | ) | const`[pure virtual]`

| Implemented in deVertexBuffer, and deSubVertexBuffer.

virtual long IdeVertexBuffer::GetIndexCount | ( |  | ) | const`[pure virtual]`

| Implemented in deVertexBuffer, and deSubVertexBuffer.

virtual long IdeVertexBuffer::GetIndexStart | ( |  | ) | const`[pure virtual]`

| Implemented in deVertexBuffer, and deSubVertexBuffer.

virtual IdeVertexBuffer* IdeVertexBuffer::GetParentBuffer | ( |  | ) | const`[pure virtual]`

| Implemented in deVertexBuffer, and deSubVertexBuffer.

virtual RenderType IdeVertexBuffer::GetRenderType | ( |  | ) | const`[pure virtual]`

| Implemented in deVertexBuffer, and deSubVertexBuffer.

virtual long IdeVertexBuffer::GetTriCount | ( |  | ) | const`[pure virtual]`

| Implemented in deVertexBuffer, and deSubVertexBuffer.

virtual VBufferType IdeVertexBuffer::GetVBufferType | ( |  | ) | const`[pure virtual]`

| Implemented in deVertexBuffer, and deSubVertexBuffer.

virtual long IdeVertexBuffer::GetVertexCount | ( |  | ) | const`[pure virtual]`

| Implemented in deVertexBuffer, and deSubVertexBuffer.

virtual long IdeVertexBuffer::GetVertexStart | ( |  | ) | const`[pure virtual]`

| Implemented in deVertexBuffer, and deSubVertexBuffer.

virtual deBoolean IdeVertexBuffer::Lock | ( |  | ) | `[pure virtual]`

| Implemented in deVertexBuffer, and deSubVertexBuffer.

virtual const IdeVertexBuffer& IdeVertexBuffer::operator= | ( | const IdeVertexBuffer & | S | ) | `[pure virtual]`

| Implemented in deVertexBuffer, and deSubVertexBuffer.

virtual deBoolean IdeVertexBuffer::SetBufferSize | ( | long | EntryCount,
|  | deBoolean | IndicesNotVertices = (DE_FALSE)
| ) | `[pure virtual]`

| Implemented in deVertexBuffer, and deSubVertexBuffer.

virtual deBoolean IdeVertexBuffer::SetDriverBuffer | ( | long | ID,
|  | void * | Buffer,
|  | IdeDriver * | Driver
| ) | `[pure virtual]`

| Implemented in deVertexBuffer, and deSubVertexBuffer.

virtual void IdeVertexBuffer::SetDynamicStatus | ( | deBoolean | Vertex,
|  | deBoolean | Index
| ) | `[pure virtual]`

| Implemented in deVertexBuffer, and deSubVertexBuffer.

virtual deBoolean IdeVertexBuffer::SetRenderType | ( | RenderType | Type | ) | `[pure virtual]`

| Implemented in deVertexBuffer, and deSubVertexBuffer.

virtual deBoolean IdeVertexBuffer::Unlock | ( |  | ) | `[pure virtual]`

| Implemented in deVertexBuffer, and deSubVertexBuffer.

The documentation for this class was generated from the following file:

- deDriver.hpp